﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PrevodCas
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnKonec_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void btnPrevod_Click(object sender, RoutedEventArgs e)
        {
            int hodiny, minuty, sekundy;

            if (int.TryParse(txtCelkovyCas.Text, out int celkem))
            {
                hodiny = celkem / 3600; //zjistime pocet celych hodin
                celkem = celkem % 3600; //zbytek po celociselnem deleni
                minuty = celkem / 60;
                sekundy = celkem % 60;

                txtHodiny.Text = hodiny.ToString();
                txtMinuty.Text = minuty.ToString();
                txtSekundy.Text = sekundy.ToString();
            }
            else
            {
                txtCelkovyCas.Text = "";
                txtCelkovyCas.Focus();
            }
        }
    }
}
